
From: Rolf Eike Beer <eike-kernel@sf-tec.de>

Usually the device IDs are given in hex.  This one is a bit strange: it is
without 0x in the first place and used with it some lines later.  I suspect
the first one to be the wrong.

Signed-off-by: Rolf Eike Beer <eike-kernel@sf-tec.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/watchdog/alim1535_wdt.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/watchdog/alim1535_wdt.c~watchdog-add-missing-0x-in-alim1535_wdtc drivers/char/watchdog/alim1535_wdt.c
--- devel/drivers/char/watchdog/alim1535_wdt.c~watchdog-add-missing-0x-in-alim1535_wdtc	2005-07-25 22:06:09.000000000 -0700
+++ devel-akpm/drivers/char/watchdog/alim1535_wdt.c	2005-07-25 22:06:35.000000000 -0700
@@ -317,7 +317,7 @@ static int ali_notify_sys(struct notifie
  */
 
 static struct pci_device_id ali_pci_tbl[] = {
-	{ PCI_VENDOR_ID_AL, 1535, PCI_ANY_ID, PCI_ANY_ID,},
+	{ PCI_VENDOR_ID_AL, 0x1535, PCI_ANY_ID, PCI_ANY_ID,},
 	{ 0, },
 };
 MODULE_DEVICE_TABLE(pci, ali_pci_tbl);
_
